aboutsummaryrefslogtreecommitdiff
path: root/qa/pull-tester/rpc-tests.sh
diff options
context:
space:
mode:
Diffstat (limited to 'qa/pull-tester/rpc-tests.sh')
-rwxr-xr-xqa/pull-tester/rpc-tests.sh19
1 files changed, 19 insertions, 0 deletions
diff --git a/qa/pull-tester/rpc-tests.sh b/qa/pull-tester/rpc-tests.sh
new file mode 100755
index 0000000000..f07e3c6d9d
--- /dev/null
+++ b/qa/pull-tester/rpc-tests.sh
@@ -0,0 +1,19 @@
+#!/bin/bash
+set -e
+
+CURDIR=$(cd $(dirname "$0"); pwd)
+# Get BUILDDIR and REAL_BITCOIND
+. "${CURDIR}/tests-config.sh"
+
+export BITCOINCLI=${BUILDDIR}/qa/pull-tester/run-bitcoin-cli
+export BITCOIND=${REAL_BITCOIND}
+
+#Run the tests
+
+if [ "x${ENABLE_BITCOIND}${ENABLE_UTILS}${ENABLE_WALLET}" = "x111" ]; then
+ ${BUILDDIR}/qa/rpc-tests/wallet.sh "${BUILDDIR}/src"
+ ${BUILDDIR}/qa/rpc-tests/listtransactions.py --srcdir "${BUILDDIR}/src"
+ ${BUILDDIR}/qa/rpc-tests/forknotify.py --srcdir "${BUILDDIR}/src"
+else
+ echo "No rpc tests to run. Wallet, utils, and bitcoind must all be enabled"
+fi